Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.rules
Class DuplicateJspImports

    java.lang.Object
      net.sourceforge.pmd.jsp.ast.JspParserVisitorAdapter
          net.sourceforge.pmd.jsp.rules.AbstractJspRule
              net.sourceforge.pmd.jsp.rules.DuplicateJspImports

All Implemented Interfaces:
  JspParserVisitor, Rule

public class DuplicateJspImports
extends AbstractJspRule

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.rules.AbstractJspRule
`description, example, externalInfoUrl, include, message, name, priority, properties, ruleSetName, usesDFA, usesTypeResolution`

Fields inherited from interface net.sourceforge.pmd.Rule
`LOWEST_PRIORITY, PRIORITIES`

Constructor Summary
`DuplicateJspImports()`

Method Summary
`void` | `apply(java.util.List acus, RuleContext ctx)`
`java.lang.Object` | `visit(ASTJspDirectiveAttribute node, java.lang.Object data)`

Methods inherited from class net.sourceforge.pmd.jsp.rules.AbstractJspRule
`addProperties, addProperty, addViolation, addViolation, addViolation, addViolationWithMessage, equals, getBooleanProperty, getDescription, getDoubleProperty, getExample, getExternalInfoUrl, getIntProperty, getMessage, getName, getPriority, getPriorityName, getProperties, getRuleSetName, getStringProperty, hashCode, hasProperty, include, propertyDescriptorFor, setDescription, setExample, setExternalInfoUrl, setInclude, setMessage, setName, setPriority, setRuleSetName, setUsesDFA, setUsesTypeResolution, usesDFA, usesTypeResolution, visitAll`

Methods inherited from class net.sourceforge.pmd.jsp.ast.JspParserVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DuplicateJspImports

    public DuplicateJspImports()

Method Detail

### apply

    public void apply(java.util.List acus,
                      RuleContext ctx)

  Specified by:
    `apply` in interface `Rule`
  Overrides:
    `apply` in class `AbstractJspRule`

### visit

    public java.lang.Object visit(ASTJspDirectiveAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`
  Overrides:
    `visit` in class `JspParserVisitorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.